# address.h File Reference

Wrapper for network addresses. More...

`#include "os_abstraction.h"`
`#include "config.h"`
`#include "../../string_func.h"`
`#include "../../core/smallmap_type.hpp"`

Go to the source code of this file.

## Data Structures
class | NetworkAddress
| Wrapper for (un)resolved network addresses; there's no reason to transform a numeric IP to a string and then back again to pass it to functions. More...
## Typedefs
typedef SmallVector < NetworkAddress, 4 > | NetworkAddressList
typedef SmallMap < NetworkAddress, SOCKET, 4 > | SocketList

## Detailed Description

Wrapper for network addresses.

Definition in file address.h.